package com.ankaibei.workFlow.apidoc.tools.util;

import java.util.UUID;

/**
 * 仅供Freemarker模板内部使用的Java工具函数。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
public class FreeMarkerUtils {

    /**
     * 生成GUID。
     *
     * @return 生成后的GUID。
     */
    public static String generateGuid() {
        return UUID.randomUUID().toString();
    }

    /**
     * 私有构造函数，明确标识该常量类的作用。
     */
    public FreeMarkerUtils() {
        // FreeMarker的工具对象，Sonarqube建议给出空构造的注释。
    }
}
